> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a credit account reminder data

> This operation will update given reminder data fields given an account id



## OpenAPI

````yaml account patch /v4/CREDIT/reminder/{id}
openapi: 3.0.3
info:
  description: Endpoint for doing various actions connected to a account
  version: '1'
  title: Account details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/account
    description: Live environment
security: []
tags:
  - name: Create an account
    description: <p>Endpoints for creating an account</p>
  - name: Update an account
    description: <p>Endpoints for updating an account</p>
  - name: Get account information
    description: Endpoints for fetching an account
paths:
  /v4/CREDIT/reminder/{id}:
    patch:
      tags:
        - Update an account
      summary: Update a credit account reminder data
      description: >-
        This operation will update given reminder data fields given an account
        id
      operationId: updateCreditAccountReminderV4UsingPATCH
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The account id for given account
          required: true
          schema:
            type: string
            format: biginteger
      requestBody:
        $ref: '#/components/requestBodies/patchCreditRemindersResourceBody'
      responses:
        '200':
          description: Successful update of the account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resourceResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Account does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  requestBodies:
    patchCreditRemindersResourceBody:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/patchCreditReminderResourceBody'
      description: >-
        The fields that you want to apply to your newly cr, these values will
        override the predefined template values
      required: true
  schemas:
    resourceResponse:
      type: object
      properties:
        description:
          type: string
          description: Short description of the result of the action
        id:
          type: string
          description: Will contain the ID of the resource that has been created or updated
      title: resourceResponse
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    patchCreditReminderResourceBody:
      allOf:
        - $ref: '#/components/schemas/reminder'
      title: patchCreditAccountRemindersBody
    reminder:
      type: object
      description: Reminder details for update
      properties:
        disableReminderProcess:
          type: boolean
        reminder1TriggerDate:
          description: Date when reminder 1 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder2TriggerDate:
          description: Date when reminder 2 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder3TriggerDate:
          description: Date when reminder 3 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder4TriggerDate:
          description: Date when reminder 4 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder5TriggerDate:
          description: Date when reminder 5 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder6TriggerDate:
          description: Date when reminder 6 is triggered
          type: string
          format: date
          example: '2019-11-27'
        reminder7TriggerDate:
          description: Date when reminder 7 is triggered
          type: string
          format: date
          example: '2019-11-27'
        collectionTriggerDate:
          description: Date when statement is sent to collection
          type: string
          format: date
          example: '2019-11-27'
      title: reminder

````